com.tibco.tibjms.admin

## Class ACLEntry

- java.lang.Object
- - com.tibco.tibjms.admin.ACLEntry

-     public class ACLEntry
      extends java.lang.Object

  An ACLEntry represents the set of permissions that a Principal (User or Group) has on a Destination (Topic or Queue).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ACLEntry(DestinationInfo destination, PrincipalInfo principal, Permissions permissions)` Constructor used to create ACLEntries that will be passed to TibjmsAdmin.grant() and TibjmsAdmin.revoke() methods.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DestinationInfo` | `getDestination()` Get the destination that this entry applies to.
    `Permissions` | `getPermissions()` Get the permissions for this entry.
    `PrincipalInfo` | `getPrincipal()` Get the principal that this entry applies to.
    `void` | `setDestination(DestinationInfo destination)` Set the destination that this entry applies to.
    `void` | `setPermissions(Permissions permissions)` Set the permissions for this entry.
    `void` | `setPrincipalName(PrincipalInfo principal)` Set the principal that this entry applies to.
    `java.lang.String` | `toString()` Generate a string representation of this ACLEntry.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ACLEntry

          public ACLEntry(DestinationInfo destination,
                          PrincipalInfo principal,
                          Permissions permissions)

      Constructor used to create ACLEntries that will be passed to TibjmsAdmin.grant() and TibjmsAdmin.revoke() methods.
      Parameters:
        `destination` - the destination the permissions apply to.
        `principal` - the principal that has the permissions.
        `permissions` - the permissions for this entry.

  - ### Method Detail

    - #### getDestination

          public DestinationInfo getDestination()

      Get the destination that this entry applies to.
      Returns:
        the DestinationInfo that this ACLEntry applies to.

    - #### setDestination

          public void setDestination(DestinationInfo destination)

      Set the destination that this entry applies to.
      Parameters:
        `destination` - The DestinationInfo that this ACLEntry will apply to.

    - #### getPrincipal

          public PrincipalInfo getPrincipal()

      Get the principal that this entry applies to.
      Returns:
        the PrincipalInfo that this ACLEntry applies to.

    - #### setPrincipalName

          public void setPrincipalName(PrincipalInfo principal)

      Set the principal that this entry applies to.
      Parameters:
        `principal` - the PrincipalInfo that this ACLEntry will apply to.

    - #### getPermissions

          public Permissions getPermissions()

      Get the permissions for this entry.
      Returns:
        the permissions for this entry.

    - #### setPermissions

          public void setPermissions(Permissions permissions)

      Set the permissions for this entry.
      Parameters:
        `permissions` - the permissions for this entry.

    - #### toString

          public java.lang.String toString()

      Generate a string representation of this ACLEntry.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this ACLEntry.

Copyright © Cloud Software Group, Inc. All rights reserved